clan::DomException Class Reference - ClanLib SDK
Description: clan::DomException Class Reference

Public Types | Public Member Functions | Public Attributes | List of all members
clan::DomException Class Reference
clanXML XML

DOM Exception class. More...

`#include <dom_exception.h>`

Inheritance diagram for clan::DomException:

## Public Types
enum | ExceptionCodes { INDEX_SIZE_ERR = 1 , DOMSTRING_SIZE_ERR = 2 , HIERARCHY_REQUEST_ERR = 3 , WRONG_DOCUMENT_ERR = 4 , INVALID_CHARACTER_ERR = 5 , NO_DATA_ALLOWED_ERR = 6 , NO_MODIFICATION_ALLOWED_ERR = 7 , NOT_FOUND_ERR = 8 , NOT_SUPPORTED_ERR = 9 , INUSE_ATTRIBUTE_ERR = 10 , INVALID_STATE_ERR = 11 , SYNTAX_ERR = 12 , INVALID_MODIFICATION_ERR = 13 , NAMESPACE_ERR = 14 , INVALID_ACCESS_ERR = 15 }

## Public Member Functions
| DomException (const std::string &message, unsigned short code)
| DomException (unsigned short code)
| Constructs a DomException.
Public Member Functions inherited from clan::Exception
| Exception (const std::string &message)
| Constructs an exception object.
| ~Exception () noexcept override
| Destructs an exception object.
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines.
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created.
const char * | what () const override throw ()
| Returns description of exception.

## Public Attributes
unsigned short | code
Public Attributes inherited from clan::Exception
std::string | message
| Description of exception.

## Detailed Description

DOM Exception class.

## Member Enumeration Documentation

## ◆ ExceptionCodes

enum clan::DomException::ExceptionCodes

Enumerator
INDEX_SIZE_ERR |
DOMSTRING_SIZE_ERR |
HIERARCHY_REQUEST_ERR |
WRONG_DOCUMENT_ERR |
INVALID_CHARACTER_ERR |
NO_DATA_ALLOWED_ERR |
NO_MODIFICATION_ALLOWED_ERR |
NOT_FOUND_ERR |
NOT_SUPPORTED_ERR |
INUSE_ATTRIBUTE_ERR |
INVALID_STATE_ERR |
SYNTAX_ERR |
INVALID_MODIFICATION_ERR |
NAMESPACE_ERR |
INVALID_ACCESS_ERR |

## Constructor & Destructor Documentation

## ◆ DomException() [1/2]

clan::DomException::DomException | ( | unsigned short | code | ) |

Constructs a DomException.

Parameters

  code | = short

References code.

## ◆ DomException() [2/2]

clan::DomException::DomException | ( | const std::string & | message,
|  | unsigned short | code )

References code, and clan::Exception::message.

## Member Data Documentation

## ◆ code

unsigned short clan::DomException::code

Referenced by DomException(), and DomException().

The documentation for this class was generated from the following file:

- dom_exception.h